# SourcePath: libusb/20080513dev
Summary: Library which allows userspace access to USB devices
Name: sony-target-dev-libusb
%define pkgname %{sony_tool_triplet}-dev-libusb
Version: 0.1.12
Release: 05000201
Source: libusb-%{version}.tar.gz
URL: http://libusb.wiki.sourceforge.net/
License: LGPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_target_dir}
%define targetroot %{sony_cross_target_dir}


%description
libusb is a library which allows userspace application access to USB devices.

%package -n %{pkgname}
Summary: Library which allows userspace access to USB devices
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
libusb is a library which allows userspace application access to USB devices.


%prep
%setup -n libusb-%{version} -q

%build
%sony_target_dev_setup
%sony_target_dev_configure --disable-build-docs
sed -e s!@prefix@!\$CROSS_COMPILE_PREFIX@prefix@! ../libusb-config.in > ../libusb-config.tmp
mv ../libusb-config.tmp ../libusb-config.in
cat ../libusb.pc.in | sed -e s!@exec_prefix@!\${prefix}! \
    -e s!@libdir@!\${exec_prefix}/lib! \
    -e s!@includedir@!\${prefix}/include! \
> ../pc-tmp
mv ../pc-tmp ../libusb.pc.in
make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall
%demangle_libtool


%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/libusb-config
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/usb.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/usbpp.h
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libusb-0.1.so.4
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libusb-0.1.so.4.4.4
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libusb.a
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libusb.so
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libusbpp-0.1.so.4
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libusbpp-0.1.so.4.4.4
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libusbpp.a
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libusbpp.so
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libusb.la
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libusbpp.la
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/pkgconfig/libusb.pc


%changelog
* Mon Jun 16 2008 Sony Corporation
- Fix prefix of some varibles in libusb-config and libusb.pc.
* Mon Jun 09 2008 Sony Corporation
- Initial build.
